Name: utftpd
Version: 0.2.4
Release: alt1

Summary: utftpd - Enhanced TFTP server
License: GPL
Group: System/Servers
Url: http://www.ohse.de/uwe/software/utftpd.html
Source0: ftp://ftp.ohse.de/uwe/releases/%name-%version.tar.gz
Source1: %name-xinetd-udp
Source2: %name.conf
Source3: %{name}_makeconfig
Source4: %name-altlinux.readme

Conflicts: tftp-server

%description
utftpd is a server for the trivial file transfer protocol (TFTP) with
finer grained access control then the standard UNIX tftpd.

Description with the features GNU utftpd has:
 - support for IP based access control. utftpd can assign the right to
   read, create or overwrite a file (or files in a directory) on a
   per-host base.
 - support for revision control. utftpd can checkin/out files under
   SCCS (Source Code Control System) or RCS (Revision Control System) 
   version control. This was one of the main reasons to write it: version 
   control is the easiest way to restore the configuration our IP routers 
   (Ascends, Ciscos) had yesterday or some weeks ago. This is, of course, 
   optional.
 - support for the blksize option (RFC 2348). Allows packets larger
   than the usual 512 bytes, and is _somewhat_ more efficient (especially
   on a directly connected network).
 - support for the timeout option (RFC 2349) No support for the tsize
   option of RFC 2349 now.

%package client
Summary: utftpd - a TFTP client
Group: Networking/File transfer
Conflicts: tftp

%description client
utftp - TFTP client of utftpd 

%prep
%setup -q

%__sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE4 > %_builddir/%name-%version/AltLinux.readme

%build
%configure
%make_build

%install
%__install -d $RPM_BUILD_ROOT/{%_sysconfdir/xinetd.d,%_localstatedir/tftp}

%make_install install DESTDIR=$RPM_BUILD_ROOT

%__install -p -m 640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/utftpd-udp
%__install -p -m 640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/utftpd.conf

%__sed -e 's|@@SYSCONFDIR@@|%_sysconfdir|' < %SOURCE3 > $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig
%__chmod 700 $RPM_BUILD_ROOT%_sbindir/utftpd_makeconfig

touch $RPM_BUILD_ROOT%_sysconfdir/{utftpd.cdb,utftpd.tmp}

%pre
/usr/sbin/groupadd -rf tftp
/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -n tftp &>/dev/null ||:

%files
%ghost %_sysconfdir/utftpd.cdb
%ghost %_sysconfdir/utftpd.tmp
%_sbindir/utftpd
%_sbindir/utftpd_*
%dir %attr(770,root,tftp) %_localstatedir/tftp
%config(noreplace) %verify(not size mtime md5) %_sysconfdir/utftpd.conf
%config(noreplace) %verify(not size mtime md5) %_sysconfdir/xinetd.d/utftpd-udp
%_mandir/man5/utftpd*.5*
%_mandir/man8/utftpd*.8*
%doc AUTHORS ChangeLog NEWS README README.cvs sample.config AltLinux.readme

%files client
%_bindir/utftp
%_mandir/man1/utftp.1*

%changelog
* Thu Apr 01 2004 Sergey Y. Afonin <asy@altlinux.ru> 0.2.4-alt1
- remove PL comments
- add utftpd_makeconfig script
- more changes in "utftpd.spec" for ALT Linux
- chroot after starting
- add small quik start documentation "altlinux.readme"

* Wed Jan 13 2004 asy 0.2.4-asy
- initial changes in spec-file of PLD Linux for ALT Linux Sisyphus (20040106):
  - change inetd config to xinetd config

Revision 1.53  2002/11/22 08:12:06  kloczek
- change permissio on tftp resources to tftp.root/750.

Revision 1.52  2002/11/22 07:32:49  kloczek
- changed permission on tftp server resources to tftp.tftp/750.

Revision 1.51  2002/11/21 10:37:49  blues
- release 13 - tftpd dir is 750 now

Revision 1.50  2002/11/13 12:42:56  kloczek
- release 12: tftpa-hpa added to Obsoletes in server subpackage.

Revision 1.49  2002/09/13 15:20:28  kloczek
- release 11.

Revision 1.48  2002/09/12 10:31:27  blues
- small fix in uninstall message

Revision 1.47  2002/08/17 21:04:39  qboosh
- better message in pre, more Requires(), release 10

Revision 1.46  2002/05/21 23:14:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.45  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/31 23:57:53  ankry
- added Group(es/pt_BR)

Revision 1.43  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.42  2001/12/21 23:01:22  kloczek
- release 9.

Revision 1.41  2001/12/20 20:05:51  blues
- few beautifications

Revision 1.40  2001/12/20 12:43:47  blues
-URL added

Revision 1.39  2001/12/18 15:41:55  kloczek
- release 8.

Revision 1.38  2001/12/18 14:41:18  blues
- removed obsoletes tftp (not nedded)

Revision 1.37  2001/10/30 16:23:03  blues
- make tmp file in /etc to avoid failures due cross-filesystems linking

Revision 1.36  2001/10/21 15:02:46  blues
- added default config - allow connections from locathost
- rebuild configuration in post

Revision 1.35  2001/10/21 14:23:44  blues
- one file was missing

Revision 1.34  2001/07/28 21:20:03  blues
- release 7
- removed touching files in /etc in %post
- added using and making tftp (UID=15). chroot jail with user tftp was used
  in inetd file before...
- mising man and one config

Revision 1.33  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.31  2001/07/24 09:15:05  blues
- well... utftpd (not utftpd-server) would be enought...

Revision 1.30  2001/07/24 09:10:15  blues
- release 6
- separated to client and server
- many, many typos in descriptions...
- some obsoletes

Revision 1.29  2001/07/24 01:15:51  kloczek
- added autoconf to BuildRequires.

Revision 1.28  2001/07/24 01:14:59  kloczek
- release 5,
- added full pl %description.

Revision 1.27  2001/07/23 23:23:14  blues
- ac2.5 ready
- cosmetics

Revision 1.26  2000/10/24 17:52:50  mis
- added tftpdaemon cap

Revision 1.25  2000/09/28 17:30:42  kloczek
- release 4: added using rpm new automaton suit.

Revision 1.24  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.23  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/05/21 16:05:07  kloczek
- release 3,
- spec adapterized.

Revision 1.21  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.20  2000/04/01 11:15:50  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.18  1999/12/01 12:10:15  kloczek
- updated to 0.2.4.

Revision 1.17  1999/10/14 22:53:21  kloczek
- fix: in %postun must be restart inet server (not stop).

Revision 1.16  1999/10/14 21:26:27  kloczek
- added missing touch utftpd.cdb file in %install.

Revision 1.15  1999/10/14 21:21:19  kloczek
- added /etc/utftpd.cdb config file as %ghost,
- added sample.config to %doc,
- added /var/state/tftp empty direstory.

Revision 1.14  1999/10/14 21:04:03  kloczek
- added passing LDGLAGS="-s" to configure enviroment - now binaries are
  stripped).

Revision 1.13  1999/10/14 20:56:19  kloczek
- release 2,
- added in %post/%postun restarting inet server,
- Requires for rc-inetd changed to Prereq,
- new %description.

Revision 1.12  1999/10/11 07:05:12  waszi
- small fixes

Revision 1.11  1999/10/06 11:02:49  waszi
- added rc-inetd support

Revision 1.10  1999/07/16 23:25:03  pius
- minor changes.

Revision 1.9  1999/07/13 18:24:17  baggins
- spec cleanup

Revision 1.8  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Apr 5 1999 Uwe Ohse <uwe@ohse.de>
- brought in line with utftpd-0.1.4 release

* Sun Mar 28 1999 Uwe Ohse <uwe@ohse.de>
- created it.
